datablock TSShapeConstructor(FireTruck2017DTS)
{
	baseShape  = "./shapes/FireTruck2017.dts";
	sequence0  = "./shapes/steering.dsq steering";
	sequence1  = "./shapes/lightsequences.dsq lightsroot";
	sequence2  = "./shapes/lightsequences.dsq lights1";
};

datablock WheeledVehicleData(FireTruck2017Vehicle : JeepVehicle)
{
	category = "Vehicles";
	uiName = "Fire Truck 2017";
	shapeFile = "./shapes/FireTruck2017.dts";

	handsOnVehicle = 1;
	hasScriptedHeadlights = 1;
	hasTurnSignals = 1;
	usesVehicleEditHelper = 1;

	engineTorque = 4000;
	engineBrake = 600;
	brakeTorque = 4000;
	maxWheelSpeed = 40;
	
	massCenter = "0 0 0.6";
	mass = 600;
	rotationalDrag	= 0.2;

	rollForce		= 0;
	yawForce		= 0;
	pitchForce		= 0;

	maxSteeringAngle = 0.9;
	steeringAutoReturn = true;
	steeringAutoReturnRate = 0.5;
	steeringAutoReturnMaxSpeed = 15;
	steeringUseStrafeSteering = true;
	steeringStrafeSteeringRate = 0.04;
   
	lookUpLimit = 0.6;
	lookDownLimit = 0.5;
	numMountPoints = 7;
	mountThread[0] = "sit";
	mountThread[1] = "sit";
	mountThread[2] = "sit";
	mountThread[3] = "sit";
	mountThread[4] = "sit";
	mountThread[5] = "sit";
	mountThread[6] = "sit";
	
	cameraMaxDist = 13;
	cameraOffset = 7.5;
	cameraTilt = 0.4;

	defaultTire	= FireTruck2017Tire;
	defaultSpring	= FireTruck2017Spring;
	tireEmitter = CV_TireEmitter;
};