datablock WheeledVehicleTire(FireTruck2017Tire)
{
	shapeFile = "./shapes/FireTruckTire.dts";
	
	mass = 10;
	radius = 1;
	staticFriction = 3;
	kineticFriction = 2.2;
	restitution = 0.5;	

	lateralForce = 3000;
	lateralDamping = 4000;
	lateralRelaxation = 0.01;

	longitudinalForce = 14000;
	longitudinalDamping = 1400;
	longitudinalRelaxation = 0.01;
};

datablock WheeledVehicleTire(FireTruck2017RearTire)
{
	shapeFile = "./shapes/FireTruckRearTire.dts";
	
	mass = 10;
	radius = 1;
	staticFriction = 3;
	kineticFriction = 1.5;
	restitution = 0.5;	

	lateralForce = 6000;
	lateralDamping = 4000;
	lateralRelaxation = 0.01;

	longitudinalForce = 14000;
	longitudinalDamping = 1400;
	longitudinalRelaxation = 0.01;
};

datablock WheeledVehicleSpring(FireTruck2017Spring)
{
	length = 0.6;
	force = 6000;
	damping = 800;
	antiSwayForce = 0;
};