function FireTruck2017Vehicle::setSiren(%this, %veh, %select)	//Controls change of sirens
{
	if(%select > 0 && %veh.lightsActive == 0)
	{
		%this.emergencyLights(%veh, 1);
	}
	
	switch(%select)
	{
		case 0:
			%veh.stopAudio(0);
			%veh.stopAudio(1);
			%veh.qWailState = 0;
			%veh.pCallState = 0;
		case 1:
			if(%veh.qWailState == 0)
			{
				%veh.qWailState = 1;
				%veh.playAudio(0, FireTruck2017QWail);
			}
			else
			{
				%veh.qWailState = 0;
				%veh.stopAudio(0);
			}
		case 2:
			if(%veh.pCallState == 0)
			{
				%veh.pCallState = 1;
				%veh.playAudio(1, FireTruck2017PCall);
			}
			else
			{
				%veh.pCallState = 0;
				%veh.stopAudio(1);
			}
	//	case 3:
	//		%veh.playAudio(0, FireTruck2017Yelp);
	//	case 4:
	//		%veh.playAudio(0, FireTruck2017Phaser);
	//	case 5:
	//		%veh.playAudio(0, FireTruck2017HornLoop);
	}
	
	//If the previous sound was a horn, play sound of horn reverb
	//if(%veh.currentSiren == 1 || %veh.currentSiren == 5)	%veh.playAudio(1, FireTruck2017HornFade);
	//Can't really do this with sirens since they could be on many different tones when interrupted
	
	return;
}